--- blueprobe-0.17/blueprobe.init.orig	2006-01-22 13:19:14.000000000 +0100
+++ blueprobe-0.17/blueprobe.init	2006-01-22 13:23:21.000000000 +0100
@@ -70,7 +70,8 @@
     "HP iPAQ HX4700")
 	BLUETOOTH=yes
 	PORT=/dev/ttyS1
-	SPEED=115200
+	SCRIPT=/etc/bluetooth/TIInit_3.2.26.bts
+	SPEED='`[ -f "$BLUETOOTH_SCRIPT" ] && echo 921600 || echo 115200`'
 	PROTO=texas
 	PROBE=no
 	;;
@@ -99,6 +100,9 @@
   echo "BLUETOOTH=$BLUETOOTH" >/etc/sysconfig/bluetooth
   if [ $BLUETOOTH = "yes" ]; then
     echo "BLUETOOTH_PORT=$PORT" >>/etc/sysconfig/bluetooth
+    if [ "$SCRIPT" != "" ]; then
+      echo "BLUETOOTH_SCRIPT=$SCRIPT" >>/etc/sysconfig/bluetooth
+    fi
     echo "BLUETOOTH_SPEED=$SPEED" >>/etc/sysconfig/bluetooth
     echo "BLUETOOTH_PROTOCOL=$PROTO" >>/etc/sysconfig/bluetooth
   fi